datacache <- new.env(hash=TRUE, parent=emptyenv())

hcg110 <- function() showQCData("hcg110", datacache)
hcg110_dbconn <- function() dbconn(datacache)
hcg110_dbfile <- function() dbfile(datacache)
hcg110_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
hcg110_dbInfo <- function() dbInfo(datacache)

hcg110ORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "hcg110.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "hcg110", "chip hcg110", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(hcg110_dbconn())
}

